#spaWrapper {
  padding-top: 15px;
  padding-right: 15px;
  padding-left: 15px;
  overflow: hidden;
  #changeSpaName {
    &:hover {
      cursor: pointer;
    }
  }
  .row {
    margin-bottom: 20px;
    h4 {
      font-size: 14pt;
      padding-left: 15px;
      padding-right: 15px;
    }
    .spaLogoWrapper {
      #spaLogoFormWrapper {
        label {
          font-size: 14pt;
          font-weight: 400;
          line-height: 1.2;
          text-align: right;
        }
      }
      .previewSpaLogo {
        label {
          display: block;
          text-align: right;
        }
        .imgWrapper {
          img {
            width: 100%;
            object-fit: contain;
          }
        }
      }
    }
    .editMenuWrapper {
      .editMenuLabelWrapper {
        label {
          font-size: 14pt;
          font-weight: 400;
          line-height: 1.2;
          text-align: right;
        }
      }
      .card {
        @extend %servr-shadow;
        border-radius: 50px;
        padding: 35px 50px 20px;
        h4 {
          font-weight: 400;
        }
        .starterWrapper {
          border-bottom: 2px solid $light-gray-active-color;
          padding-bottom: 10px;
          button {
            @extend %servr-button;
            background-color: $light-gray-active-color;
          }
        }
        .menusTableWrapper {
          height: 30vh;
          overflow-y: auto;
          overflow-x: hidden;
          &::-webkit-scrollbar-track {
            -webkit-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
            -moz-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
            box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
            border-radius: 14px;
            background-color: #F5F5F5;
          }
          &::-webkit-scrollbar {
            width: 8px;
            background-color: #F5F5F5;
          }
          &::-webkit-scrollbar-thumb {
            border-radius: 10px;
            -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
            -moz-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
            box-shadow: inset 0 0 6px rgba(0,0,0,.3);
            background-color: $gray-color;
          }
          .menusTable {
            border-collapse: separate;
            border-spacing: 0 0.5em;
            margin-top: 15px;
            color: $gray-color;
            tr {
              &:hover {
                cursor: pointer;
              }
              td {
                border-top: none;
                background-color: $light-gray-active-color;
                border-radius: 50px;
              }
            }
          }
        }
      }
    }
    .spaBookingPendingWrapper {
      margin-top: 20px;
      .requestsLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: left;
      }
      .orderItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          border-radius: 14px;
          background-color: #F5F5F5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #F5F5F5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          -moz-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          background-color: $gray-color;
        }
        .orderWrapper {
          @extend %servr-button;
          width: 180px;
          height: 150px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform .2s;
          overflow: hidden;
          vertical-align: top;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
              margin-top: 4px;
            }
          }
          .spaBookingRequestWrapper{
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
            margin-top: 10px;
            ul {
              padding-left: 14px;
            }
          }
        }
      }
    }
    .spaBookingTodayWrapper {
      margin-top: 20px;
      .requestsLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: left;
      }
      .orderItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          border-radius: 14px;
          background-color: #F5F5F5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #F5F5F5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          -moz-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          background-color: $gray-color;
        }
        .orderWrapper {
          @extend %servr-button;
          width: 180px;
          height: 150px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform .2s;
          overflow: hidden;
          vertical-align: top;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
              margin-top: 4px;
            }
          }
          .spaBookingRequestWrapper{
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
            margin-top: 10px;
            ul {
              padding-left: 14px;
            }
          }
        }
      }
    }
    .spaBookingDoneWrapper {
      margin-top: 20px;
      .requestsLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: left;
      }
      .orderItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          box-shadow: inset 0 0 99px rgba(0,0,0,0.2);
          border-radius: 14px;
          background-color: #F5F5F5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #F5F5F5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          -moz-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          box-shadow: inset 0 0 6px rgba(0,0,0,.3);
          background-color: $gray-color;
        }
        .orderWrapper {
          @extend %servr-button;
          width: 180px;
          height: 150px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform .2s;
          overflow: hidden;
          vertical-align: top;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
              margin-top: 4px;
            }
          }
          .spaBookingRequestWrapper{
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
            margin-top: 10px;
            ul {
              padding-left: 14px;
            }
          }
        }
      }
    }
  }
  .bookingSpaCalendarWrapper {
    .legendsWrapper {
      margin-bottom: 10px;
      .legendWrapper {
        .color {
          width: 20px;
          height: 20px;
          display: inline-block;
          &.grey {
            background-color: $gray-color;
          }
          &.blue {
            background-color: $blue-primary;
          }
          &.red {
            background-color: $danger-color;
          }
        }
        .textWrapper {
          display: inline-block;
          position: absolute;
          p {
            margin-bottom: 0;
            padding-left: 8px;
          }
        }
      }
    }
  }
}

.showDetailsOrderModal {
  #declineRestaurantOrderRoomBtn {
    margin-top: .5rem;
  }
}

.showDetailsConciergeServiceRequestModal {
  #declineSpaBookingRequestBtn {
    margin-top: .5rem;
  }
}